- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TangentSpaceGenerator File Reference

`#include <osgUtil/Export>`
`#include <osg/ref_ptr>`
`#include <osg/Referenced>`
`#include <osg/Array>`
`#include <osg/Geometry>`

Include dependency graph for TangentSpaceGenerator:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgUtil
## Classes
class | osgUtil::TangentSpaceGenerator
| The TangentSpaceGenerator class generates three arrays containing tangent-space basis vectors. More...